Retrieve crawl information
curl --request GET \
--url https://api.olostep.com/v1/crawls/{crawl_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/crawls/{crawl_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/crawls/{crawl_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"start_date": "<string>",
"start_url": "<string>",
"max_pages": 123,
"max_depth": 123,
"exclude_urls": [
"<string>"
],
"include_urls": [
"<string>"
],
"include_external": true,
"search_query": "<string>",
"top_n": 123,
"current_depth": 123,
"pages_count": 123,
"webhook": "<string>",
"follow_robots_txt": true,
"credits_consumed": 123,
"cost_usd": 123
}Crawls
Crawl Info
Fetches information about a specific crawl.
GET
/
v1
/
crawls
/
{crawl_id}
Retrieve crawl information
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
The ID of the crawl to retrieve information for.
Response
Successful response with crawl information.
Crawl ID
The kind of object. "crawl" for this endpoint.
in_progress or completed
Created time in epoch
Created time in date
The current depth of the crawl process.
Count of pages crawled
Number of credits consumed by this request. Populated after execution completes. Credits are the source of truth for billing.
Estimated cost in USD for this request. Populated after execution completes. Calculated from credits consumed and your plan rate — 99% accurate, but credits_consumed is the authoritative value.
Was this page helpful?